using System.ComponentModel;

namespace Hotline.Share.Enums.CallCenter;

/// <summary>
/// 呼叫状态
/// </summary>
public enum ECallStatus
{
    /// <summary>
    /// 来电应答前
    /// </summary>
    [Description("来电应答前")]
    PreIncoming = 0,

    /// <summary>
    /// 去电呼叫
    /// </summary>
    [Description("去电呼叫")]
    ExtOuterReady = 1,

    /// <summary>
    /// 来电应答后
    /// </summary>
    [Description("来电应答后")]
    Incoming = 10,

    /// <summary>
    /// 进入IVR
    /// </summary>
    [Description("进入IVR")]
    InIvr =11,

    /// <summary>
    /// 进入分机组队列
    /// </summary>
    [Description("进入分机组队列")]
    InQueue = 19,

    /// <summary>
    /// 振铃
    /// </summary>
    [Description("振铃")]
    Ring = 20,

    /// <summary>
    /// 回铃
    /// </summary>
    [Description("回铃")]
    Alert = 30,

    /// <summary>
    /// 呼叫应答
    /// </summary>
    [Description("呼叫应答")]
    Answer = 40,

    /// <summary>
    /// 呼叫被应答
    /// </summary>
    [Description("呼叫被应答")]
    Answered = 50,

    /// <summary>
    /// 评价
    /// </summary>
    [Description("评价")]
    Evaluate = 59,

    /// <summary>
    /// 通话结束
    /// </summary>
    [Description("通话结束")]
    Bye = 60,

    /// <summary>
    /// 呼叫转移
    /// </summary>
    [Description("呼叫转移")]
    Divert = 70,

    /// <summary>
    /// 呼叫临时事件
    /// </summary>
    [Description("呼叫临时事件")]
    Transient = 80,

    /// <summary>
    /// 呼叫失败
    /// </summary>
    [Description("呼叫失败")]
    Failed = 90,

    /// <summary>
    /// 输入 不在流程中
    /// </summary>
    [Description("输入")]
    Dtmf = 100,

    /// <summary>
    /// 语音播放完成
    /// </summary>
    [Description("语音播放完成")]
    EndOfAnn = 110,

    //todo 待完善
}